Subject: Re: bug#29883: Emacs server not detected in Mac OS High Sierra

From: Artemio González López <[email-masked]>
Date: Wed, 3 Jan 2018 15:24:15 +0100

> On Jan 3, 2018, at 8:27 AM, Tak Kunihiro <[email-masked]> wrote:
> 
> Artemio González López <[email-masked]> writes:
> 
>> When a .tex file is opened in Emacs 25.3.1 under macOS 10.13.2 High
>> Sierra by double-clicking on it always launches a second instance of
>> Emacs, even if a server process is already running (launched by a
>> “(server-start)” line at the beginning of my .emacs file). This
>> problem did not occur in the previous system (macOS 10.12 Sierra).
> 
> I cannot reproduce this on macOS 10.13.2 High Sierra.
> 
> GNU Emacs 25.3.1 (x86_64-apple-darwin17.2.0, NS appkit-1561.10 Version
> 10.13.1 (Build 17B1003)) of 2017-12-19
> 
> Emacs -Q
> M-: (server-start)
> double-click `foo.tex' on Finder
> File `foo.tex' is opened with pre-existing process
> 
> You may have two Emacs.app in your system.  Make sure if `Open with:'
> via `Get Info' on Finder is configured properly.

Dear Tak,

Thanks a lot for your message. First of all, I am positive that I only have a copy of Emacs in my system, and “Open with …” is configured properly (it points to this Emacs, for example, for .tex files). I think you are not seeing this because our Emacs are different (although both are 25.3.1). Indeed, yours is

GNU Emacs 25.3.1 (x86_64-apple-darwin17.2.0, NS appkit-1561.10 Version
10.13.1 (Build 17B1003)) of 2017-12-19

whereas mine is

GNU Emacs 25.3.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1911))
of 2017-09-12 built on builder10-9.local
Windowing system distributor 'Apple', version 10.3.1561
Configured using:
'configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

(see my bug report). In fact, my Emacs is the stable 25.3 version downloaded from the Emacs fo Mac OS X page (emacsformacosx.com <http://emacsformacox.com/>). As I said in my previous message, other users of this version are also reporting the same problem I’m having. How did you get your Emacs? Did you build it yourself? Could you tell me how you did it (what configuration options we used, for instance), so that I could try it myself?

Thanks again,

Artemio

Artemio González López
[email-masked]